# do not edit this file. it is auto-generated
module CoinHelper
  CARBON_A = ["ALGO", "AUDIO", "AVAX", "CELO", "EGLD", "GMT", "SAND", "WAXP", "IMX", "SOL", "HBAR", "EOS", "NEAR", "XNO", "NANO"]
  CARBON_B = ["XTZ", "VET", "FTM", "XLM", "IOTA", "HOT", "XRP", "MATIC"]
  STABLE = ["USDT", "USDTERC20", "USDTTRC20", "USDTSOL", "USDTBSC", "USDC", "BUSD"]
  PRIVATE = ["XMR", "ZEC", "ZEN", "XVG", "KMD", "PART", "PIVX", "FIRO", "ONION"]
  DATA = {
    "BTC" => {
      "name" => {
        "en" => "Bitcoin"
      },
      "icon" => "btc",
      "rank" => 1,
      "carbon" => "F",
      "stable" => false,
      "private" => false
    },
    "ETH" => {
      "name" => {
        "en" => "Ethereum"
      },
      "icon" => "eth",
      "rank" => 2,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "USDT" => {
      "name" => {
        "en" => "Tether"
      },
      "icon" => "usdt",
      "rank" => 3,
      "carbon" => "N/A",
      "stable" => true,
      "private" => false
    },
    "USDTERC20" => {
      "name" => {
        "en" => "Tether (ETH Chain)"
      },
      "icon" => "usdterc20",
      "rank" => 3,
      "carbon" => "",
      "stable" => true,
      "private" => false
    },
    "USDTTRC20" => {
      "name" => {
        "en" => "Tether (TRON Chain)"
      },
      "icon" => "usdttrc20",
      "rank" => 3,
      "carbon" => "",
      "stable" => true,
      "private" => false
    },
    "USDTSOL" => {
      "name" => {
        "en" => "Tether (SOL Chain)"
      },
      "icon" => "usdtsol",
      "rank" => 3,
      "carbon" => "",
      "stable" => true,
      "private" => false
    },
    "USDTBSC" => {
      "name" => {
        "en" => "Tether (BNB Smart Chain)"
      },
      "icon" => "usdtbsc",
      "rank" => 3,
      "carbon" => "",
      "stable" => true,
      "private" => false
    },
    "USDC" => {
      "name" => {
        "en" => "USD Coin"
      },
      "icon" => "usdc",
      "rank" => 4,
      "carbon" => "N/A",
      "stable" => true,
      "private" => false
    },
    "BNB" => {
      "name" => {
        "en" => "Binance Coin"
      },
      "icon" => "bnb",
      "rank" => 5,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "BNBMAINNET" => {
      "name" => {
        "en" => "Binance Coin (Beacon Chain)"
      },
      "icon" => "bnbmainnet",
      "rank" => 5,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BNBBSC" => {
      "name" => {
        "en" => "Binance Coin (BNB Smart Chain)"
      },
      "icon" => "bnbbsc",
      "rank" => 5,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BUSD" => {
      "name" => {
        "en" => "Binance USD"
      },
      "icon" => "busd",
      "rank" => 6,
      "carbon" => "N/A",
      "stable" => true,
      "private" => false
    },
    "XRP" => {
      "name" => {
        "en" => "XRP"
      },
      "icon" => "xrp",
      "rank" => 7,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "DOGE" => {
      "name" => {
        "en" => "Dogecoin"
      },
      "icon" => "doge",
      "rank" => 8,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "ADA" => {
      "name" => {
        "en" => "Cardano"
      },
      "icon" => "ada",
      "rank" => 9,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "DOT" => {
      "name" => {
        "en" => "Polkadot"
      },
      "icon" => "dot",
      "rank" => 10,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "XNO" => {
      "name" => {
        "en" => "Nano"
      },
      "icon" => "xno",
      "rank" => 10,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "NANO" => {
      "name" => {
        "en" => "Nano"
      },
      "icon" => "xno",
      "rank" => 10,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "SHIB" => {
      "name" => {
        "en" => "Shiba Inu"
      },
      "icon" => "shib",
      "rank" => 11,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "LTC" => {
      "name" => {
        "en" => "Litecoin"
      },
      "icon" => "ltc",
      "rank" => 12,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "TRX" => {
      "name" => {
        "en" => "TRON"
      },
      "icon" => "trx",
      "rank" => 13,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "SOL" => {
      "name" => {
        "en" => "Solana"
      },
      "icon" => "sol",
      "rank" => 14,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "UNI" => {
      "name" => {
        "en" => "Uniswap"
      },
      "icon" => "uni",
      "rank" => 15,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "WBTC" => {
      "name" => {
        "en" => "Wrapped Bitcoin"
      },
      "icon" => "wbtc",
      "rank" => 16,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "AVAX" => {
      "name" => {
        "en" => "Avalanche"
      },
      "icon" => "avax",
      "rank" => 17,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "LEO" => {
      "name" => {
        "en" => "UNUS SED LEO"
      },
      "icon" => "leo",
      "rank" => 18,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "LINK" => {
      "name" => {
        "en" => "ChainLink"
      },
      "icon" => "link",
      "rank" => 19,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "ATOM" => {
      "name" => {
        "en" => "Cosmos"
      },
      "icon" => "atom",
      "rank" => 20,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "XMR" => {
      "name" => {
        "en" => "Monero"
      },
      "icon" => "xmr",
      "rank" => 21,
      "carbon" => "C",
      "stable" => false,
      "private" => true
    },
    "ETC" => {
      "name" => {
        "en" => "Ethereum Classic"
      },
      "icon" => "etc",
      "rank" => 22,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "XLM" => {
      "name" => {
        "en" => "Stellar"
      },
      "icon" => "xlm",
      "rank" => 23,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "BCH" => {
      "name" => {
        "en" => "Bitcoin Cash"
      },
      "icon" => "bch",
      "rank" => 24,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "MATIC" => {
      "name" => {
        "en" => "Matic Network"
      },
      "icon" => "matic",
      "rank" => 25,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "ALGO" => {
      "name" => {
        "en" => "Algorand"
      },
      "icon" => "algo",
      "rank" => 26,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "QNT" => {
      "name" => {
        "en" => "Quant"
      },
      "icon" => "qnt",
      "rank" => 27,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "OKB" => {
      "name" => {
        "en" => "OKB"
      },
      "icon" => "okb",
      "rank" => 28,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "VET" => {
      "name" => {
        "en" => "VeChain"
      },
      "icon" => "vet",
      "rank" => 29,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "APE" => {
      "name" => {
        "en" => "APEcoin"
      },
      "icon" => "ape",
      "rank" => 30,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "TUSD" => {
      "name" => {
        "en" => "TrueUSD"
      },
      "icon" => "tusd",
      "rank" => 31,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "NEAR" => {
      "name" => {
        "en" => "NEAR Protocol"
      },
      "icon" => "near",
      "rank" => 32,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "LUNC" => {
      "name" => {
        "en" => "Terra Classic"
      },
      "icon" => "lunc",
      "rank" => 33,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FIL" => {
      "name" => {
        "en" => "Filecoin"
      },
      "icon" => "fil",
      "rank" => 34,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "CUSDC" => {
      "name" => {
        "en" => "Compound USD Coin"
      },
      "icon" => "generic",
      "rank" => 35,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "EOS" => {
      "name" => {
        "en" => "EOS"
      },
      "icon" => "eos",
      "rank" => 36,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "HT" => {
      "name" => {
        "en" => "Huobi Token"
      },
      "icon" => "ht",
      "rank" => 37,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "FLOW" => {
      "name" => {
        "en" => "Flow"
      },
      "icon" => "generic",
      "rank" => 38,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "BCHSV" => {
      "name" => {
        "en" => "Bitcoin SV"
      },
      "icon" => "generic",
      "rank" => 39,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TWT" => {
      "name" => {
        "en" => "Trust Wallet Token"
      },
      "icon" => "generic",
      "rank" => 40,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "CHZ" => {
      "name" => {
        "en" => "Chiliz"
      },
      "icon" => "chz",
      "rank" => 41,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "SWAG" => {
      "name" => {
        "en" => "SWAG Finance"
      },
      "icon" => "generic",
      "rank" => 42,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "USDP" => {
      "name" => {
        "en" => "Pax Dollar"
      },
      "icon" => "usdp",
      "rank" => 43,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "AAVE" => {
      "name" => {
        "en" => "Aave"
      },
      "icon" => "aave",
      "rank" => 44,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "XTZ" => {
      "name" => {
        "en" => "Tezos"
      },
      "icon" => "xtz",
      "rank" => 45,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "THETA" => {
      "name" => {
        "en" => "Theta Token"
      },
      "icon" => "theta",
      "rank" => 46,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "ZEC" => {
      "name" => {
        "en" => "Zcash"
      },
      "icon" => "zec",
      "rank" => 47,
      "carbon" => "D",
      "stable" => false,
      "private" => true
    },
    "USDD" => {
      "name" => {
        "en" => "USDD"
      },
      "icon" => "generic",
      "rank" => 48,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SAND" => {
      "name" => {
        "en" => "The Sandbox"
      },
      "icon" => "sand",
      "rank" => 49,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "MANA" => {
      "name" => {
        "en" => "Decentraland"
      },
      "icon" => "mana",
      "rank" => 50,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "AXS" => {
      "name" => {
        "en" => "Axie Infinity"
      },
      "icon" => "axs",
      "rank" => 51,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "CETH" => {
      "name" => {
        "en" => "Compound Ether"
      },
      "icon" => "generic",
      "rank" => 52,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTTC" => {
      "name" => {
        "en" => "BitTorrent"
      },
      "icon" => "bttc",
      "rank" => 53,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LDO" => {
      "name" => {
        "en" => "Lido DAO"
      },
      "icon" => "generic",
      "rank" => 54,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PAXG" => {
      "name" => {
        "en" => "PAX Gold"
      },
      "icon" => "paxg",
      "rank" => 55,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CAKE" => {
      "name" => {
        "en" => "PancakeSwap"
      },
      "icon" => "cake",
      "rank" => 56,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "KCS" => {
      "name" => {
        "en" => "KuCoin Shares"
      },
      "icon" => "kcs",
      "rank" => 57,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "FTM" => {
      "name" => {
        "en" => "Fantom"
      },
      "icon" => "ftm",
      "rank" => 58,
      "carbon" => "B",
      "stable" => false,
      "private" => false
    },
    "MKR" => {
      "name" => {
        "en" => "Maker"
      },
      "icon" => "mkr",
      "rank" => 59,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "PHB" => {
      "name" => {
        "en" => "Red Pulse Phoenix"
      },
      "icon" => "generic",
      "rank" => 60,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CRO" => {
      "name" => {
        "en" => "Crypto.com Chain"
      },
      "icon" => "cro",
      "rank" => 61,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "EGLD" => {
      "name" => {
        "en" => "Elrond eGold"
      },
      "icon" => "egld",
      "rank" => 62,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "TKX" => {
      "name" => {
        "en" => "Tokenize Xchange"
      },
      "icon" => "generic",
      "rank" => 63,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XEC" => {
      "name" => {
        "en" => "eCash"
      },
      "icon" => "generic",
      "rank" => 64,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "MIOTA" => {
      "name" => {
        "en" => "IOTA"
      },
      "icon" => "miota",
      "rank" => 65,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DASH" => {
      "name" => {
        "en" => "Dash"
      },
      "icon" => "dash",
      "rank" => 66,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "NEO" => {
      "name" => {
        "en" => "Neo"
      },
      "icon" => "neo",
      "rank" => 67,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "KLAY" => {
      "name" => {
        "en" => "Klaytn"
      },
      "icon" => "klay",
      "rank" => 68,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "RUNE" => {
      "name" => {
        "en" => "THORChain"
      },
      "icon" => "generic",
      "rank" => 69,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "GRT" => {
      "name" => {
        "en" => "The Graph"
      },
      "icon" => "grt",
      "rank" => 70,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "HBAR" => {
      "name" => {
        "en" => "Hedera Hashgraph"
      },
      "icon" => "hbar",
      "rank" => 71,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "AR" => {
      "name" => {
        "en" => "Arweave"
      },
      "icon" => "generic",
      "rank" => 72,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "OSMO" => {
      "name" => {
        "en" => "Osmosis"
      },
      "icon" => "generic",
      "rank" => 73,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NEXO" => {
      "name" => {
        "en" => "Nexo"
      },
      "icon" => "nexo",
      "rank" => 74,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "STX" => {
      "name" => {
        "en" => "Stacks"
      },
      "icon" => "stx",
      "rank" => 75,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "ENS" => {
      "name" => {
        "en" => "Ethereum Name Service"
      },
      "icon" => "generic",
      "rank" => 76,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CRV" => {
      "name" => {
        "en" => "Curve DAO Token"
      },
      "icon" => "crv",
      "rank" => 77,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "BAT" => {
      "name" => {
        "en" => "Basic Attention Token"
      },
      "icon" => "bat",
      "rank" => 78,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "MINA" => {
      "name" => {
        "en" => "Mina Protocol"
      },
      "icon" => "generic",
      "rank" => 79,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "LRC" => {
      "name" => {
        "en" => "Loopring"
      },
      "icon" => "lrc",
      "rank" => 80,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "DCR" => {
      "name" => {
        "en" => "Decred"
      },
      "icon" => "dcr",
      "rank" => 81,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "XEM" => {
      "name" => {
        "en" => "NEM"
      },
      "icon" => "xem",
      "rank" => 82,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "XDCE" => {
      "name" => {
        "en" => "XinFin Network"
      },
      "icon" => "generic",
      "rank" => 83,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "COMP" => {
      "name" => {
        "en" => "Compound"
      },
      "icon" => "comp",
      "rank" => 85,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "ZIL" => {
      "name" => {
        "en" => "Zilliqa"
      },
      "icon" => "zil",
      "rank" => 86,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "CELO" => {
      "name" => {
        "en" => "Celo"
      },
      "icon" => "generic",
      "rank" => 87,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "ENJ" => {
      "name" => {
        "en" => "Enjin Coin"
      },
      "icon" => "enj",
      "rank" => 88,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "BAL" => {
      "name" => {
        "en" => "Balancer"
      },
      "icon" => "bal",
      "rank" => 89,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTG" => {
      "name" => {
        "en" => "Bitcoin Gold"
      },
      "icon" => "btg",
      "rank" => 90,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CVX" => {
      "name" => {
        "en" => "Convex Finance"
      },
      "icon" => "generic",
      "rank" => 91,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "QTUM" => {
      "name" => {
        "en" => "Qtum"
      },
      "icon" => "qtum",
      "rank" => 92,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "DFI" => {
      "name" => {
        "en" => "DeFiChain"
      },
      "icon" => "generic",
      "rank" => 93,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UST" => {
      "name" => {
        "en" => "TerraUSD"
      },
      "icon" => "generic",
      "rank" => 94,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "1INCH" => {
      "name" => {
        "en" => "1inch"
      },
      "icon" => "1inch",
      "rank" => 95,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "USTC" => {
      "name" => {
        "en" => "TerraClassicUSD"
      },
      "icon" => "generic",
      "rank" => 96,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GNO" => {
      "name" => {
        "en" => "Gnosis"
      },
      "icon" => "gno",
      "rank" => 97,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KSM" => {
      "name" => {
        "en" => "Kusama"
      },
      "icon" => "ksm",
      "rank" => 98,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "OP" => {
      "name" => {
        "en" => "Optimism"
      },
      "icon" => "generic",
      "rank" => 99,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "YFI" => {
      "name" => {
        "en" => "yearn.finance"
      },
      "icon" => "yfi",
      "rank" => 100,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RVN" => {
      "name" => {
        "en" => "Ravencoin"
      },
      "icon" => "rvn",
      "rank" => 101,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "CHSB" => {
      "name" => {
        "en" => "SwissBorg"
      },
      "icon" => "chsb",
      "rank" => 102,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GLM" => {
      "name" => {
        "en" => "Golem"
      },
      "icon" => "generic",
      "rank" => 103,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MIM" => {
      "name" => {
        "en" => "Magic Internet Money"
      },
      "icon" => "generic",
      "rank" => 104,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TFUEL" => {
      "name" => {
        "en" => "Theta Fuel"
      },
      "icon" => "generic",
      "rank" => 105,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "SUSHI" => {
      "name" => {
        "en" => "Sushi"
      },
      "icon" => "sushi",
      "rank" => 106,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ROSE" => {
      "name" => {
        "en" => "Oasis Network"
      },
      "icon" => "generic",
      "rank" => 107,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "KAVA" => {
      "name" => {
        "en" => "Kava"
      },
      "icon" => "generic",
      "rank" => 108,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "IOTX" => {
      "name" => {
        "en" => "IoTeX"
      },
      "icon" => "iotx",
      "rank" => 109,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "SNX" => {
      "name" => {
        "en" => "Synthetix Network Token"
      },
      "icon" => "snx",
      "rank" => 110,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "SNM" => {
      "name" => {
        "en" => "SONM"
      },
      "icon" => "snm",
      "rank" => 111,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "EURT" => {
      "name" => {
        "en" => "Euro Tether"
      },
      "icon" => "generic",
      "rank" => 112,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "JST" => {
      "name" => {
        "en" => "JUST"
      },
      "icon" => "generic",
      "rank" => 113,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PAX" => {
      "name" => {
        "en" => "Paxos Standard Token"
      },
      "icon" => "pax",
      "rank" => 114,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LUSD" => {
      "name" => {
        "en" => "Liquity USD"
      },
      "icon" => "generic",
      "rank" => 115,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WAVES" => {
      "name" => {
        "en" => "Waves"
      },
      "icon" => "waves",
      "rank" => 116,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "FEI" => {
      "name" => {
        "en" => "Fei USD"
      },
      "icon" => "generic",
      "rank" => 117,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XYM" => {
      "name" => {
        "en" => "Symbol"
      },
      "icon" => "generic",
      "rank" => 118,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KDA" => {
      "name" => {
        "en" => "Kadena"
      },
      "icon" => "generic",
      "rank" => 119,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "FTT" => {
      "name" => {
        "en" => "FTX Token"
      },
      "icon" => "generic",
      "rank" => 120,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "GALA" => {
      "name" => {
        "en" => "Gala"
      },
      "icon" => "generic",
      "rank" => 121,
      "carbon" => "N/A",
      "stable" => false,
      "private" => false
    },
    "POLY" => {
      "name" => {
        "en" => "Polymath"
      },
      "icon" => "poly",
      "rank" => 122,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ELON" => {
      "name" => {
        "en" => "Dogelon Mars"
      },
      "icon" => "generic",
      "rank" => 123,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ONE" => {
      "name" => {
        "en" => "Harmony"
      },
      "icon" => "one",
      "rank" => 124,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "CSPR" => {
      "name" => {
        "en" => "Casper"
      },
      "icon" => "generic",
      "rank" => 125,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ONT" => {
      "name" => {
        "en" => "Ontology"
      },
      "icon" => "ont",
      "rank" => 126,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RSR" => {
      "name" => {
        "en" => "Reserve Rights"
      },
      "icon" => "generic",
      "rank" => 127,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OMI" => {
      "name" => {
        "en" => "ECOMI"
      },
      "icon" => "generic",
      "rank" => 128,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LPT" => {
      "name" => {
        "en" => "Livepeer"
      },
      "icon" => "lpt",
      "rank" => 129,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "ZRX" => {
      "name" => {
        "en" => "0x"
      },
      "icon" => "zrx",
      "rank" => 130,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OMG" => {
      "name" => {
        "en" => "OmiseGO"
      },
      "icon" => "omg",
      "rank" => 131,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "EWT" => {
      "name" => {
        "en" => "Energy Web Token"
      },
      "icon" => "generic",
      "rank" => 132,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ICX" => {
      "name" => {
        "en" => "ICON"
      },
      "icon" => "icx",
      "rank" => 133,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "ASTR" => {
      "name" => {
        "en" => "Astar"
      },
      "icon" => "generic",
      "rank" => 134,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "IOST" => {
      "name" => {
        "en" => "IOStoken"
      },
      "icon" => "iost",
      "rank" => 135,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LN" => {
      "name" => {
        "en" => "LINK"
      },
      "icon" => "generic",
      "rank" => 136,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RNDR" => {
      "name" => {
        "en" => "Render Token"
      },
      "icon" => "generic",
      "rank" => 137,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TEL" => {
      "name" => {
        "en" => "Telcoin"
      },
      "icon" => "tel",
      "rank" => 138,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SC" => {
      "name" => {
        "en" => "Siacoin"
      },
      "icon" => "sc",
      "rank" => 139,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "MASK" => {
      "name" => {
        "en" => "Mask Network"
      },
      "icon" => "generic",
      "rank" => 140,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CEL" => {
      "name" => {
        "en" => "Celsius"
      },
      "icon" => "generic",
      "rank" => 141,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DGB" => {
      "name" => {
        "en" => "Digibyte"
      },
      "icon" => "dgb",
      "rank" => 142,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GLMR" => {
      "name" => {
        "en" => "Moonbeam"
      },
      "icon" => "generic",
      "rank" => 143,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "BORA" => {
      "name" => {
        "en" => "BORA"
      },
      "icon" => "generic",
      "rank" => 144,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KNC" => {
      "name" => {
        "en" => "Kyber Network"
      },
      "icon" => "knc",
      "rank" => 145,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HIVE" => {
      "name" => {
        "en" => "Hive"
      },
      "icon" => "generic",
      "rank" => 146,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STORJ" => {
      "name" => {
        "en" => "Storj"
      },
      "icon" => "storj",
      "rank" => 147,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AUDIO" => {
      "name" => {
        "en" => "Audius"
      },
      "icon" => "generic",
      "rank" => 148,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "WAXP" => {
      "name" => {
        "en" => "WAX"
      },
      "icon" => "generic",
      "rank" => 149,
      "carbon" => "A",
      "stable" => false,
      "private" => false
    },
    "UMA" => {
      "name" => {
        "en" => "UMA"
      },
      "icon" => "uma",
      "rank" => 150,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PEOPLE" => {
      "name" => {
        "en" => "ConstitutionDAO"
      },
      "icon" => "generic",
      "rank" => 151,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DYDX" => {
      "name" => {
        "en" => "dYdX"
      },
      "icon" => "generic",
      "rank" => 152,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SYN" => {
      "name" => {
        "en" => "Synapse"
      },
      "icon" => "generic",
      "rank" => 153,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MSOL" => {
      "name" => {
        "en" => "Marinade staked SOL"
      },
      "icon" => "generic",
      "rank" => 154,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OCEAN" => {
      "name" => {
        "en" => "Ocean Protocol"
      },
      "icon" => "generic",
      "rank" => 155,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "INJ" => {
      "name" => {
        "en" => "Injective Protocol"
      },
      "icon" => "generic",
      "rank" => 156,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MC" => {
      "name" => {
        "en" => "Merit Circle"
      },
      "icon" => "generic",
      "rank" => 157,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LSK" => {
      "name" => {
        "en" => "Lisk"
      },
      "icon" => "lsk",
      "rank" => 158,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ABBC" => {
      "name" => {
        "en" => "ABBC Coin"
      },
      "icon" => "generic",
      "rank" => 159,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "EVMOS" => {
      "name" => {
        "en" => "Evmos"
      },
      "icon" => "generic",
      "rank" => 160,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PUNDIX" => {
      "name" => {
        "en" => "Pundi X (New)"
      },
      "icon" => "generic",
      "rank" => 161,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CVC" => {
      "name" => {
        "en" => "Civic"
      },
      "icon" => "cvc",
      "rank" => 162,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FLOKI" => {
      "name" => {
        "en" => "Floki Inu"
      },
      "icon" => "generic",
      "rank" => 163,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RLC" => {
      "name" => {
        "en" => "iExec RLC"
      },
      "icon" => "rlc",
      "rank" => 164,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TRIBE" => {
      "name" => {
        "en" => "Tribe"
      },
      "icon" => "generic",
      "rank" => 165,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NEST" => {
      "name" => {
        "en" => "Nest"
      },
      "icon" => "generic",
      "rank" => 166,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VGX" => {
      "name" => {
        "en" => "Voyager Token"
      },
      "icon" => "generic",
      "rank" => 167,
      "carbon" => "D",
      "stable" => false,
      "private" => false
    },
    "LOOKS" => {
      "name" => {
        "en" => "LooksRare"
      },
      "icon" => "generic",
      "rank" => 168,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MED" => {
      "name" => {
        "en" => "MediBloc [QRC20]"
      },
      "icon" => "med",
      "rank" => 169,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SKL" => {
      "name" => {
        "en" => "SKALE Network"
      },
      "icon" => "skl",
      "rank" => 170,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ANT" => {
      "name" => {
        "en" => "Aragon"
      },
      "icon" => "ant",
      "rank" => 171,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTRST" => {
      "name" => {
        "en" => "Braintrust"
      },
      "icon" => "generic",
      "rank" => 172,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LYXE" => {
      "name" => {
        "en" => "LUKSO Token"
      },
      "icon" => "generic",
      "rank" => 173,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "POKT" => {
      "name" => {
        "en" => "Pocket Network"
      },
      "icon" => "generic",
      "rank" => 174,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CELR" => {
      "name" => {
        "en" => "Celer Network"
      },
      "icon" => "generic",
      "rank" => 175,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CKB" => {
      "name" => {
        "en" => "Nervos Network"
      },
      "icon" => "generic",
      "rank" => 176,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "API3" => {
      "name" => {
        "en" => "API3"
      },
      "icon" => "generic",
      "rank" => 177,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ONG" => {
      "name" => {
        "en" => "Ontology Gas"
      },
      "icon" => "ong",
      "rank" => 178,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RBN" => {
      "name" => {
        "en" => "Ribbon Finance"
      },
      "icon" => "generic",
      "rank" => 179,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MX" => {
      "name" => {
        "en" => "MX Token"
      },
      "icon" => "generic",
      "rank" => 180,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NMR" => {
      "name" => {
        "en" => "Numeraire"
      },
      "icon" => "nmr",
      "rank" => 181,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TRAC" => {
      "name" => {
        "en" => "OriginTrail"
      },
      "icon" => "generic",
      "rank" => 182,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "JUNO" => {
      "name" => {
        "en" => "Juno Network"
      },
      "icon" => "generic",
      "rank" => 183,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SNT" => {
      "name" => {
        "en" => "Status Network Token"
      },
      "icon" => "snt",
      "rank" => 184,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DAI" => {
      "name" => {
        "en" => "Dai"
      },
      "icon" => "dai",
      "rank" => 185,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "CDT" => {
      "name" => {
        "en" => "Blox"
      },
      "icon" => "cdt",
      "rank" => 186,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VVS" => {
      "name" => {
        "en" => "VVS Finance"
      },
      "icon" => "generic",
      "rank" => 187,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MOB" => {
      "name" => {
        "en" => "MobileCoin"
      },
      "icon" => "generic",
      "rank" => 188,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SRM" => {
      "name" => {
        "en" => "Serum"
      },
      "icon" => "generic",
      "rank" => 189,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "METIS" => {
      "name" => {
        "en" => "Metis Token"
      },
      "icon" => "generic",
      "rank" => 190,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SSV" => {
      "name" => {
        "en" => "SSV Network"
      },
      "icon" => "generic",
      "rank" => 191,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BNT" => {
      "name" => {
        "en" => "Bancor"
      },
      "icon" => "bnt",
      "rank" => 192,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XSUSHI" => {
      "name" => {
        "en" => "xSUSHI"
      },
      "icon" => "generic",
      "rank" => 193,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PYR" => {
      "name" => {
        "en" => "Vulcan Forged"
      },
      "icon" => "generic",
      "rank" => 194,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CEEK" => {
      "name" => {
        "en" => "CEEK VR"
      },
      "icon" => "generic",
      "rank" => 195,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PROM" => {
      "name" => {
        "en" => "Prometeus"
      },
      "icon" => "generic",
      "rank" => 196,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "COTI" => {
      "name" => {
        "en" => "COTI"
      },
      "icon" => "generic",
      "rank" => 197,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SYS" => {
      "name" => {
        "en" => "Syscoin"
      },
      "icon" => "sys",
      "rank" => 198,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ELF" => {
      "name" => {
        "en" => "aelf"
      },
      "icon" => "elf",
      "rank" => 199,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MDX" => {
      "name" => {
        "en" => "Mdex"
      },
      "icon" => "generic",
      "rank" => 200,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ZEN" => {
      "name" => {
        "en" => "Horizen"
      },
      "icon" => "zen",
      "rank" => 201,
      "carbon" => "D",
      "stable" => false,
      "private" => true
    },
    "DOME" => {
      "name" => {
        "en" => "Everdome"
      },
      "icon" => "generic",
      "rank" => 202,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FX" => {
      "name" => {
        "en" => "Function X"
      },
      "icon" => "generic",
      "rank" => 203,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ARDR" => {
      "name" => {
        "en" => "Ardor"
      },
      "icon" => "ardr",
      "rank" => 204,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FET" => {
      "name" => {
        "en" => "Fetch"
      },
      "icon" => "generic",
      "rank" => 205,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ARRR" => {
      "name" => {
        "en" => "Pirate Chain"
      },
      "icon" => "generic",
      "rank" => 206,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NU" => {
      "name" => {
        "en" => "NuCypher"
      },
      "icon" => "generic",
      "rank" => 207,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WRX" => {
      "name" => {
        "en" => "WazirX"
      },
      "icon" => "generic",
      "rank" => 208,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CTSI" => {
      "name" => {
        "en" => "Cartesi"
      },
      "icon" => "generic",
      "rank" => 209,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TSUKA" => {
      "name" => {
        "en" => "Dejitaru Tsuka"
      },
      "icon" => "generic",
      "rank" => 210,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "POWR" => {
      "name" => {
        "en" => "Power Ledger"
      },
      "icon" => "powr",
      "rank" => 211,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ORBS" => {
      "name" => {
        "en" => "Orbs"
      },
      "icon" => "generic",
      "rank" => 212,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DENT" => {
      "name" => {
        "en" => "Dent"
      },
      "icon" => "dent",
      "rank" => 213,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CHR" => {
      "name" => {
        "en" => "Chromia"
      },
      "icon" => "generic",
      "rank" => 214,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RACA" => {
      "name" => {
        "en" => "Radio Caca"
      },
      "icon" => "generic",
      "rank" => 215,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STEEM" => {
      "name" => {
        "en" => "STEEM"
      },
      "icon" => "steem",
      "rank" => 216,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BAND" => {
      "name" => {
        "en" => "Band Protocol"
      },
      "icon" => "band",
      "rank" => 217,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NXM" => {
      "name" => {
        "en" => "NXM"
      },
      "icon" => "generic",
      "rank" => 218,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HEZ" => {
      "name" => {
        "en" => "Hermez Network Token"
      },
      "icon" => "generic",
      "rank" => 219,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MFT" => {
      "name" => {
        "en" => "Mainframe"
      },
      "icon" => "mft",
      "rank" => 220,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALICE" => {
      "name" => {
        "en" => "My Neighbor Alice"
      },
      "icon" => "generic",
      "rank" => 221,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KAS" => {
      "name" => {
        "en" => "Kaspa"
      },
      "icon" => "generic",
      "rank" => 222,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FUN" => {
      "name" => {
        "en" => "FunFair"
      },
      "icon" => "fun",
      "rank" => 223,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XSGD" => {
      "name" => {
        "en" => "XSGD"
      },
      "icon" => "generic",
      "rank" => 224,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XPRT" => {
      "name" => {
        "en" => "Persistence"
      },
      "icon" => "generic",
      "rank" => 225,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MBOX" => {
      "name" => {
        "en" => "Mobox"
      },
      "icon" => "generic",
      "rank" => 226,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XIDO" => {
      "name" => {
        "en" => "Xido Finance"
      },
      "icon" => "generic",
      "rank" => 227,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HUM" => {
      "name" => {
        "en" => "Humanscape"
      },
      "icon" => "generic",
      "rank" => 228,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BFC" => {
      "name" => {
        "en" => "Bifrost"
      },
      "icon" => "generic",
      "rank" => 229,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "REQ" => {
      "name" => {
        "en" => "Request Network"
      },
      "icon" => "req",
      "rank" => 230,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UOS" => {
      "name" => {
        "en" => "Ultra"
      },
      "icon" => "generic",
      "rank" => 231,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "EXRD" => {
      "name" => {
        "en" => "e-Radix"
      },
      "icon" => "generic",
      "rank" => 232,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CFG" => {
      "name" => {
        "en" => "Centrifuge"
      },
      "icon" => "generic",
      "rank" => 233,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KRD" => {
      "name" => {
        "en" => "Krypton DAO"
      },
      "icon" => "generic",
      "rank" => 234,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DPX" => {
      "name" => {
        "en" => "Dopex"
      },
      "icon" => "generic",
      "rank" => 235,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LOOM" => {
      "name" => {
        "en" => "Loom Network"
      },
      "icon" => "loom",
      "rank" => 236,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RAD" => {
      "name" => {
        "en" => "Radicle"
      },
      "icon" => "generic",
      "rank" => 237,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OXT" => {
      "name" => {
        "en" => "Orchid"
      },
      "icon" => "oxt",
      "rank" => 238,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SPELL" => {
      "name" => {
        "en" => "Spell Token"
      },
      "icon" => "generic",
      "rank" => 239,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SOLO" => {
      "name" => {
        "en" => "Sologenic"
      },
      "icon" => "generic",
      "rank" => 240,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BSW" => {
      "name" => {
        "en" => "Biswap"
      },
      "icon" => "generic",
      "rank" => 241,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AMPL" => {
      "name" => {
        "en" => "Ampleforth"
      },
      "icon" => "ampl",
      "rank" => 242,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "REP" => {
      "name" => {
        "en" => "Augur"
      },
      "icon" => "rep",
      "rank" => 243,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RAMP" => {
      "name" => {
        "en" => "RAMP"
      },
      "icon" => "generic",
      "rank" => 244,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ASD" => {
      "name" => {
        "en" => "AscendEx Token"
      },
      "icon" => "generic",
      "rank" => 245,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NKN" => {
      "name" => {
        "en" => "NKN"
      },
      "icon" => "nkn",
      "rank" => 246,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SURE" => {
      "name" => {
        "en" => "inSure DeFi"
      },
      "icon" => "generic",
      "rank" => 247,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MIMATIC" => {
      "name" => {
        "en" => "MAI"
      },
      "icon" => "generic",
      "rank" => 248,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XVS" => {
      "name" => {
        "en" => "Venus"
      },
      "icon" => "generic",
      "rank" => 249,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ORC" => {
      "name" => {
        "en" => "Orbit Chain"
      },
      "icon" => "generic",
      "rank" => 250,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PHA" => {
      "name" => {
        "en" => "Phala Network"
      },
      "icon" => "generic",
      "rank" => 251,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "QUACK" => {
      "name" => {
        "en" => "RichQuack"
      },
      "icon" => "generic",
      "rank" => 252,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "QKC" => {
      "name" => {
        "en" => "QuarkChain"
      },
      "icon" => "generic",
      "rank" => 253,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RBTC" => {
      "name" => {
        "en" => "RSK Smart Bitcoin"
      },
      "icon" => "generic",
      "rank" => 254,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SFP" => {
      "name" => {
        "en" => "SafePal"
      },
      "icon" => "generic",
      "rank" => 255,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VLX" => {
      "name" => {
        "en" => "Velas"
      },
      "icon" => "generic",
      "rank" => 256,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DAG" => {
      "name" => {
        "en" => "Constellation"
      },
      "icon" => "generic",
      "rank" => 257,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "YFII" => {
      "name" => {
        "en" => "yfii finance"
      },
      "icon" => "generic",
      "rank" => 258,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OGN" => {
      "name" => {
        "en" => "Origin Protocol"
      },
      "icon" => "generic",
      "rank" => 259,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BICO" => {
      "name" => {
        "en" => "Biconomy"
      },
      "icon" => "generic",
      "rank" => 260,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STG" => {
      "name" => {
        "en" => "Stargate Finance"
      },
      "icon" => "generic",
      "rank" => 261,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "JOE" => {
      "name" => {
        "en" => "JOE"
      },
      "icon" => "generic",
      "rank" => 262,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "REN" => {
      "name" => {
        "en" => "Republic Protocol"
      },
      "icon" => "ren",
      "rank" => 263,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MTL" => {
      "name" => {
        "en" => "Metal"
      },
      "icon" => "mtl",
      "rank" => 264,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DERO" => {
      "name" => {
        "en" => "Dero"
      },
      "icon" => "generic",
      "rank" => 265,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OUSD" => {
      "name" => {
        "en" => "Origin Dollar"
      },
      "icon" => "generic",
      "rank" => 266,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GHST" => {
      "name" => {
        "en" => "Aavegotchi"
      },
      "icon" => "generic",
      "rank" => 267,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STMX" => {
      "name" => {
        "en" => "StormX"
      },
      "icon" => "generic",
      "rank" => 268,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "REV" => {
      "name" => {
        "en" => "Revain"
      },
      "icon" => "generic",
      "rank" => 269,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LQTY" => {
      "name" => {
        "en" => "Liquity"
      },
      "icon" => "generic",
      "rank" => 270,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UQC" => {
      "name" => {
        "en" => "Uquid Coin"
      },
      "icon" => "generic",
      "rank" => 271,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DODO" => {
      "name" => {
        "en" => "DODO"
      },
      "icon" => "generic",
      "rank" => 272,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KEEP" => {
      "name" => {
        "en" => "Keep Network"
      },
      "icon" => "generic",
      "rank" => 273,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DAWN" => {
      "name" => {
        "en" => "Dawn Protocol"
      },
      "icon" => "generic",
      "rank" => 274,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VTHO" => {
      "name" => {
        "en" => "VeThor Token"
      },
      "icon" => "vtho",
      "rank" => 275,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STRAX" => {
      "name" => {
        "en" => "Stratis"
      },
      "icon" => "generic",
      "rank" => 276,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SXP" => {
      "name" => {
        "en" => "Swipe"
      },
      "icon" => "generic",
      "rank" => 277,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TIME" => {
      "name" => {
        "en" => "Chronobank"
      },
      "icon" => "generic",
      "rank" => 278,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ANKR" => {
      "name" => {
        "en" => "Ankr Network"
      },
      "icon" => "ankr",
      "rank" => 279,
      "carbon" => "C",
      "stable" => false,
      "private" => false
    },
    "UTK" => {
      "name" => {
        "en" => "UTRUST"
      },
      "icon" => "utk",
      "rank" => 280,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ONUS" => {
      "name" => {
        "en" => "ONUS"
      },
      "icon" => "generic",
      "rank" => 281,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TLM" => {
      "name" => {
        "en" => "Alien Worlds"
      },
      "icon" => "generic",
      "rank" => 282,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AERGO" => {
      "name" => {
        "en" => "Aergo"
      },
      "icon" => "generic",
      "rank" => 283,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AGEUR" => {
      "name" => {
        "en" => "agEUR"
      },
      "icon" => "generic",
      "rank" => 284,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XVG" => {
      "name" => {
        "en" => "Verge"
      },
      "icon" => "xvg",
      "rank" => 285,
      "carbon" => "",
      "stable" => false,
      "private" => true
    },
    "ACH" => {
      "name" => {
        "en" => "Alchemy Pay"
      },
      "icon" => "generic",
      "rank" => 286,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DIVI" => {
      "name" => {
        "en" => "Divi"
      },
      "icon" => "generic",
      "rank" => 287,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KUJI" => {
      "name" => {
        "en" => "Kujira"
      },
      "icon" => "generic",
      "rank" => 288,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALPHA" => {
      "name" => {
        "en" => "Alpha Finance"
      },
      "icon" => "generic",
      "rank" => 289,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ARK" => {
      "name" => {
        "en" => "Ark"
      },
      "icon" => "ark",
      "rank" => 290,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XMON" => {
      "name" => {
        "en" => "XMON"
      },
      "icon" => "generic",
      "rank" => 291,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SAITO" => {
      "name" => {
        "en" => "Saito"
      },
      "icon" => "generic",
      "rank" => 292,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "C98" => {
      "name" => {
        "en" => "Coin98"
      },
      "icon" => "generic",
      "rank" => 293,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XWC" => {
      "name" => {
        "en" => "WhiteCoin"
      },
      "icon" => "generic",
      "rank" => 294,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WXT" => {
      "name" => {
        "en" => "Wirex Token"
      },
      "icon" => "generic",
      "rank" => 295,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RON" => {
      "name" => {
        "en" => "Ronin"
      },
      "icon" => "generic",
      "rank" => 296,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STSOL" => {
      "name" => {
        "en" => "Lido Staked SOL"
      },
      "icon" => "generic",
      "rank" => 297,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BLID" => {
      "name" => {
        "en" => "Bolide"
      },
      "icon" => "generic",
      "rank" => 298,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MCO" => {
      "name" => {
        "en" => "Crypto.com"
      },
      "icon" => "mco",
      "rank" => 299,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MBL" => {
      "name" => {
        "en" => "MovieBloc"
      },
      "icon" => "generic",
      "rank" => 300,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DEI" => {
      "name" => {
        "en" => "DEI Token"
      },
      "icon" => "generic",
      "rank" => 301,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "META" => {
      "name" => {
        "en" => "Metadium"
      },
      "icon" => "generic",
      "rank" => 302,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "COCOS" => {
      "name" => {
        "en" => "Cocos-BCX"
      },
      "icon" => "generic",
      "rank" => 303,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ETN" => {
      "name" => {
        "en" => "Electroneum"
      },
      "icon" => "etn",
      "rank" => 304,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALPACA" => {
      "name" => {
        "en" => "Alpaca Finance"
      },
      "icon" => "generic",
      "rank" => 305,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CQT" => {
      "name" => {
        "en" => "Covalent"
      },
      "icon" => "generic",
      "rank" => 306,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KISHU" => {
      "name" => {
        "en" => "Kishu Inu"
      },
      "icon" => "generic",
      "rank" => 307,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MOVR" => {
      "name" => {
        "en" => "Moonriver"
      },
      "icon" => "generic",
      "rank" => 308,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "POLS" => {
      "name" => {
        "en" => "Polkastarter"
      },
      "icon" => "generic",
      "rank" => 309,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KILT" => {
      "name" => {
        "en" => "KILT Protocol"
      },
      "icon" => "generic",
      "rank" => 310,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STRK" => {
      "name" => {
        "en" => "Strike"
      },
      "icon" => "generic",
      "rank" => 311,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PLT" => {
      "name" => {
        "en" => "Poollotto.finance"
      },
      "icon" => "generic",
      "rank" => 312,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ARPA" => {
      "name" => {
        "en" => "ARPA Chain"
      },
      "icon" => "generic",
      "rank" => 313,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AOG" => {
      "name" => {
        "en" => "smARTOFGIVING"
      },
      "icon" => "generic",
      "rank" => 314,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DUSK" => {
      "name" => {
        "en" => "Dusk Network"
      },
      "icon" => "generic",
      "rank" => 315,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AUCTION" => {
      "name" => {
        "en" => "Bounce"
      },
      "icon" => "generic",
      "rank" => 316,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SFUND" => {
      "name" => {
        "en" => "Seedify.fund"
      },
      "icon" => "generic",
      "rank" => 317,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BETA" => {
      "name" => {
        "en" => "Beta Finance"
      },
      "icon" => "generic",
      "rank" => 318,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AKT" => {
      "name" => {
        "en" => "Akash Network"
      },
      "icon" => "generic",
      "rank" => 319,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CET" => {
      "name" => {
        "en" => "CoinEx Token"
      },
      "icon" => "generic",
      "rank" => 320,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CEUR" => {
      "name" => {
        "en" => "Celo Euro"
      },
      "icon" => "generic",
      "rank" => 321,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LEASH" => {
      "name" => {
        "en" => "Leash"
      },
      "icon" => "generic",
      "rank" => 322,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BLOK" => {
      "name" => {
        "en" => "Bloktopia"
      },
      "icon" => "generic",
      "rank" => 323,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RLY" => {
      "name" => {
        "en" => "Rally"
      },
      "icon" => "generic",
      "rank" => 324,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BOBA" => {
      "name" => {
        "en" => "Boba Network"
      },
      "icon" => "generic",
      "rank" => 325,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TRB" => {
      "name" => {
        "en" => "Tellor"
      },
      "icon" => "generic",
      "rank" => 326,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WOZX" => {
      "name" => {
        "en" => "Efforce"
      },
      "icon" => "generic",
      "rank" => 327,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PRO" => {
      "name" => {
        "en" => "Propy"
      },
      "icon" => "generic",
      "rank" => 328,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ILV" => {
      "name" => {
        "en" => "Illuvium"
      },
      "icon" => "generic",
      "rank" => 329,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BAKE" => {
      "name" => {
        "en" => "BakeryToken"
      },
      "icon" => "generic",
      "rank" => 330,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WAN" => {
      "name" => {
        "en" => "Wanchain"
      },
      "icon" => "wan",
      "rank" => 331,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PERP" => {
      "name" => {
        "en" => "Perpetual Protocol"
      },
      "icon" => "generic",
      "rank" => 332,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CTXC" => {
      "name" => {
        "en" => "Cortex"
      },
      "icon" => "ctxc",
      "rank" => 333,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "POND" => {
      "name" => {
        "en" => "Marlin"
      },
      "icon" => "generic",
      "rank" => 334,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MAGIC" => {
      "name" => {
        "en" => "Magic"
      },
      "icon" => "generic",
      "rank" => 335,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CCD" => {
      "name" => {
        "en" => "Concordium"
      },
      "icon" => "generic",
      "rank" => 336,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PLEX" => {
      "name" => {
        "en" => "PLEX"
      },
      "icon" => "generic",
      "rank" => 337,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WWY" => {
      "name" => {
        "en" => "WeWay"
      },
      "icon" => "generic",
      "rank" => 338,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NEBL" => {
      "name" => {
        "en" => "Neblio"
      },
      "icon" => "nebl",
      "rank" => 339,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DKA" => {
      "name" => {
        "en" => "dKargo"
      },
      "icon" => "generic",
      "rank" => 340,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "IDEX" => {
      "name" => {
        "en" => "IDEX"
      },
      "icon" => "generic",
      "rank" => 341,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KP3R" => {
      "name" => {
        "en" => "Keep3rV1"
      },
      "icon" => "generic",
      "rank" => 342,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BZZ" => {
      "name" => {
        "en" => "Swarm"
      },
      "icon" => "generic",
      "rank" => 343,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XYO" => {
      "name" => {
        "en" => "XYO Network"
      },
      "icon" => "generic",
      "rank" => 344,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MXC" => {
      "name" => {
        "en" => "Machine Xchange Coin"
      },
      "icon" => "generic",
      "rank" => 345,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LTO" => {
      "name" => {
        "en" => "LTO Network"
      },
      "icon" => "generic",
      "rank" => 346,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AVA" => {
      "name" => {
        "en" => "Travala"
      },
      "icon" => "generic",
      "rank" => 347,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TT" => {
      "name" => {
        "en" => "ThunderCore"
      },
      "icon" => "generic",
      "rank" => 348,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ORN" => {
      "name" => {
        "en" => "Orion Protocol"
      },
      "icon" => "generic",
      "rank" => 349,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ERN" => {
      "name" => {
        "en" => "Ethernity Chain"
      },
      "icon" => "generic",
      "rank" => 350,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BWO" => {
      "name" => {
        "en" => "Battle World"
      },
      "icon" => "generic",
      "rank" => 351,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VRA" => {
      "name" => {
        "en" => "Verasity"
      },
      "icon" => "generic",
      "rank" => 352,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LOCUS" => {
      "name" => {
        "en" => "Locus Chain"
      },
      "icon" => "generic",
      "rank" => 353,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KLV" => {
      "name" => {
        "en" => "Klever"
      },
      "icon" => "generic",
      "rank" => 354,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ATA" => {
      "name" => {
        "en" => "Automata"
      },
      "icon" => "generic",
      "rank" => 355,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FORTH" => {
      "name" => {
        "en" => "Ampleforth Governance Token"
      },
      "icon" => "generic",
      "rank" => 356,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AE" => {
      "name" => {
        "en" => "Aeternity"
      },
      "icon" => "ae",
      "rank" => 357,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RAIL" => {
      "name" => {
        "en" => "Railgun"
      },
      "icon" => "generic",
      "rank" => 358,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STARL" => {
      "name" => {
        "en" => "StarLink"
      },
      "icon" => "generic",
      "rank" => 359,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "USDK" => {
      "name" => {
        "en" => "USDK"
      },
      "icon" => "generic",
      "rank" => 360,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RSV" => {
      "name" => {
        "en" => "Reserve"
      },
      "icon" => "generic",
      "rank" => 361,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GYEN" => {
      "name" => {
        "en" => "GYEN"
      },
      "icon" => "generic",
      "rank" => 362,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HUNT" => {
      "name" => {
        "en" => "HUNT Token"
      },
      "icon" => "generic",
      "rank" => 363,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TVK" => {
      "name" => {
        "en" => "Terra Virtua Kolect"
      },
      "icon" => "generic",
      "rank" => 364,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TOMO" => {
      "name" => {
        "en" => "TomoChain"
      },
      "icon" => "tomo",
      "rank" => 365,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALPINE" => {
      "name" => {
        "en" => "Alpine F1 Team Fan Token"
      },
      "icon" => "generic",
      "rank" => 366,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "YOOSHI" => {
      "name" => {
        "en" => "YooShi"
      },
      "icon" => "generic",
      "rank" => 367,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GRS" => {
      "name" => {
        "en" => "Groestlcoin"
      },
      "icon" => "grs",
      "rank" => 368,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RVP" => {
      "name" => {
        "en" => "Revolution Populi"
      },
      "icon" => "generic",
      "rank" => 369,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LAZIO" => {
      "name" => {
        "en" => "Lazio Fan Token"
      },
      "icon" => "generic",
      "rank" => 370,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTS" => {
      "name" => {
        "en" => "BitShares"
      },
      "icon" => "bts",
      "rank" => 371,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ULT" => {
      "name" => {
        "en" => "Ultiledger"
      },
      "icon" => "generic",
      "rank" => 372,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BOND" => {
      "name" => {
        "en" => "BarnBridge"
      },
      "icon" => "generic",
      "rank" => 373,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LOKA" => {
      "name" => {
        "en" => "League of Kingdoms"
      },
      "icon" => "generic",
      "rank" => 374,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KMD" => {
      "name" => {
        "en" => "Komodo"
      },
      "icon" => "kmd",
      "rank" => 375,
      "carbon" => "",
      "stable" => false,
      "private" => true
    },
    "LCX" => {
      "name" => {
        "en" => "LCX"
      },
      "icon" => "generic",
      "rank" => 376,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HXRO" => {
      "name" => {
        "en" => "Hxro"
      },
      "icon" => "generic",
      "rank" => 377,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UNFI" => {
      "name" => {
        "en" => "Unifi Protocol DAO"
      },
      "icon" => "generic",
      "rank" => 378,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SOFI" => {
      "name" => {
        "en" => "RAI Finance"
      },
      "icon" => "generic",
      "rank" => 379,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TRU" => {
      "name" => {
        "en" => "TrueFi"
      },
      "icon" => "generic",
      "rank" => 380,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AIOZ" => {
      "name" => {
        "en" => "AIOZ Network"
      },
      "icon" => "generic",
      "rank" => 381,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KOGE" => {
      "name" => {
        "en" => "BNB48 Club Token"
      },
      "icon" => "generic",
      "rank" => 382,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WOO" => {
      "name" => {
        "en" => "Wootrade Network"
      },
      "icon" => "generic",
      "rank" => 383,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CUSDT" => {
      "name" => {
        "en" => "cUSDT"
      },
      "icon" => "generic",
      "rank" => 384,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BEL" => {
      "name" => {
        "en" => "Bella Protocol"
      },
      "icon" => "generic",
      "rank" => 385,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GBEX" => {
      "name" => {
        "en" => "Globiance Exchange"
      },
      "icon" => "generic",
      "rank" => 386,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XPR" => {
      "name" => {
        "en" => "Proton"
      },
      "icon" => "xpr",
      "rank" => 387,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KAI" => {
      "name" => {
        "en" => "KardiaChain"
      },
      "icon" => "generic",
      "rank" => 388,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TRYB" => {
      "name" => {
        "en" => "BiLira"
      },
      "icon" => "generic",
      "rank" => 389,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SBD" => {
      "name" => {
        "en" => "Steem Dollars"
      },
      "icon" => "sbd",
      "rank" => 390,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DIA" => {
      "name" => {
        "en" => "DIA"
      },
      "icon" => "generic",
      "rank" => 391,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PORTO" => {
      "name" => {
        "en" => "FC Porto"
      },
      "icon" => "generic",
      "rank" => 392,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RFR" => {
      "name" => {
        "en" => "Refereum"
      },
      "icon" => "generic",
      "rank" => 393,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DPI" => {
      "name" => {
        "en" => "DeFiPulse Index"
      },
      "icon" => "generic",
      "rank" => 394,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALCX" => {
      "name" => {
        "en" => "Alchemix"
      },
      "icon" => "generic",
      "rank" => 395,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CULT" => {
      "name" => {
        "en" => "Cult DAO"
      },
      "icon" => "generic",
      "rank" => 396,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BADGER" => {
      "name" => {
        "en" => "Badger DAO"
      },
      "icon" => "generic",
      "rank" => 397,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MV" => {
      "name" => {
        "en" => "GensoKishi Metaverse"
      },
      "icon" => "generic",
      "rank" => 398,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BCD" => {
      "name" => {
        "en" => "Bitcoin Diamond"
      },
      "icon" => "bcd",
      "rank" => 399,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MLN" => {
      "name" => {
        "en" => "Melon"
      },
      "icon" => "mln",
      "rank" => 400,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MONA" => {
      "name" => {
        "en" => "MonaCoin"
      },
      "icon" => "mona",
      "rank" => 401,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTM" => {
      "name" => {
        "en" => "Bytom"
      },
      "icon" => "btm",
      "rank" => 402,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XCAD" => {
      "name" => {
        "en" => "XCAD Network"
      },
      "icon" => "generic",
      "rank" => 403,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "YGG" => {
      "name" => {
        "en" => "Yield Guild Games"
      },
      "icon" => "generic",
      "rank" => 404,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KUNCI" => {
      "name" => {
        "en" => "Kunci Coin"
      },
      "icon" => "generic",
      "rank" => 405,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RIF" => {
      "name" => {
        "en" => "RIF Token"
      },
      "icon" => "generic",
      "rank" => 406,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ZB" => {
      "name" => {
        "en" => "ZB"
      },
      "icon" => "generic",
      "rank" => 407,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "QUICK" => {
      "name" => {
        "en" => "Quickswap"
      },
      "icon" => "generic",
      "rank" => 408,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TKO" => {
      "name" => {
        "en" => "Tokocrypto"
      },
      "icon" => "generic",
      "rank" => 409,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UPP" => {
      "name" => {
        "en" => "Sentinel Protocol"
      },
      "icon" => "generic",
      "rank" => 410,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RAY" => {
      "name" => {
        "en" => "Raydium"
      },
      "icon" => "ray",
      "rank" => 411,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SANTOS" => {
      "name" => {
        "en" => "Santos FC Fan Token"
      },
      "icon" => "generic",
      "rank" => 412,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "EUM" => {
      "name" => {
        "en" => "Elitium"
      },
      "icon" => "generic",
      "rank" => 413,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UXD" => {
      "name" => {
        "en" => "UXD Stablecoin"
      },
      "icon" => "generic",
      "rank" => 414,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FEG" => {
      "name" => {
        "en" => "FEG Token"
      },
      "icon" => "generic",
      "rank" => 415,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AQT" => {
      "name" => {
        "en" => "Alpha Quark Token"
      },
      "icon" => "generic",
      "rank" => 416,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GAS" => {
      "name" => {
        "en" => "Gas"
      },
      "icon" => "gas",
      "rank" => 417,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FARM" => {
      "name" => {
        "en" => "Harvest Finance"
      },
      "icon" => "generic",
      "rank" => 418,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "JEWEL" => {
      "name" => {
        "en" => "DeFi Kingdoms"
      },
      "icon" => "generic",
      "rank" => 419,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALBT" => {
      "name" => {
        "en" => "AllianceBlock"
      },
      "icon" => "generic",
      "rank" => 420,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VEGA" => {
      "name" => {
        "en" => "Vega Protocol"
      },
      "icon" => "generic",
      "rank" => 421,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BTCST" => {
      "name" => {
        "en" => "BTC Standard Hashrate Token"
      },
      "icon" => "generic",
      "rank" => 422,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UBT" => {
      "name" => {
        "en" => "Unibright"
      },
      "icon" => "generic",
      "rank" => 423,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MNGO" => {
      "name" => {
        "en" => "Mango Markets"
      },
      "icon" => "generic",
      "rank" => 424,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BLZ" => {
      "name" => {
        "en" => "Bluzelle"
      },
      "icon" => "blz",
      "rank" => 425,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CWEB" => {
      "name" => {
        "en" => "Coinweb"
      },
      "icon" => "generic",
      "rank" => 426,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FIDA" => {
      "name" => {
        "en" => "Bonfida"
      },
      "icon" => "fida",
      "rank" => 427,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "NULS" => {
      "name" => {
        "en" => "Nuls"
      },
      "icon" => "nuls",
      "rank" => 428,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "TCR" => {
      "name" => {
        "en" => "Tracer DAO"
      },
      "icon" => "generic",
      "rank" => 429,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HARD" => {
      "name" => {
        "en" => "HARD Protocol"
      },
      "icon" => "generic",
      "rank" => 430,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AGLD" => {
      "name" => {
        "en" => "Adventure Gold"
      },
      "icon" => "generic",
      "rank" => 431,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "COS" => {
      "name" => {
        "en" => "Contentos"
      },
      "icon" => "generic",
      "rank" => 432,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ELA" => {
      "name" => {
        "en" => "Elastos"
      },
      "icon" => "ela",
      "rank" => 433,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HYDRA" => {
      "name" => {
        "en" => "Hydra"
      },
      "icon" => "generic",
      "rank" => 434,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PSG" => {
      "name" => {
        "en" => "Paris Saint-Germain Fan Token"
      },
      "icon" => "generic",
      "rank" => 435,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "IRIS" => {
      "name" => {
        "en" => "IRISnet"
      },
      "icon" => "generic",
      "rank" => 436,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UFT" => {
      "name" => {
        "en" => "UniLend Finance"
      },
      "icon" => "generic",
      "rank" => 437,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BOSON" => {
      "name" => {
        "en" => "Boson Protocol"
      },
      "icon" => "generic",
      "rank" => 438,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FOLD" => {
      "name" => {
        "en" => "Manifold Finance"
      },
      "icon" => "generic",
      "rank" => 439,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ONIT" => {
      "name" => {
        "en" => "ONBUFF"
      },
      "icon" => "generic",
      "rank" => 440,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FIO" => {
      "name" => {
        "en" => "FIO Protocol"
      },
      "icon" => "generic",
      "rank" => 441,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CERE" => {
      "name" => {
        "en" => "Cere Network"
      },
      "icon" => "generic",
      "rank" => 442,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MEV" => {
      "name" => {
        "en" => "MEVerse"
      },
      "icon" => "generic",
      "rank" => 443,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "THOR" => {
      "name" => {
        "en" => "THORSwap"
      },
      "icon" => "generic",
      "rank" => 444,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CLV" => {
      "name" => {
        "en" => "Clover Finance"
      },
      "icon" => "generic",
      "rank" => 445,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RARI" => {
      "name" => {
        "en" => "Rarible"
      },
      "icon" => "generic",
      "rank" => 446,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DF" => {
      "name" => {
        "en" => "dForce Token"
      },
      "icon" => "generic",
      "rank" => 447,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ADX" => {
      "name" => {
        "en" => "AdEx"
      },
      "icon" => "adx",
      "rank" => 448,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BITCI" => {
      "name" => {
        "en" => "Bitcicoin"
      },
      "icon" => "generic",
      "rank" => 449,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FRONT" => {
      "name" => {
        "en" => "Frontier"
      },
      "icon" => "generic",
      "rank" => 450,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CENNZ" => {
      "name" => {
        "en" => "Centrality"
      },
      "icon" => "generic",
      "rank" => 451,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PART" => {
      "name" => {
        "en" => "Particl"
      },
      "icon" => "part",
      "rank" => 452,
      "carbon" => "",
      "stable" => false,
      "private" => true
    },
    "KEY" => {
      "name" => {
        "en" => "Selfkey"
      },
      "icon" => "generic",
      "rank" => 453,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MAP" => {
      "name" => {
        "en" => "Marcopolo"
      },
      "icon" => "generic",
      "rank" => 454,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AXEL" => {
      "name" => {
        "en" => "AXEL"
      },
      "icon" => "generic",
      "rank" => 455,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CBK" => {
      "name" => {
        "en" => "Cobak Token"
      },
      "icon" => "generic",
      "rank" => 456,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ALEPH" => {
      "name" => {
        "en" => "Aleph.im"
      },
      "icon" => "generic",
      "rank" => 457,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MVL" => {
      "name" => {
        "en" => "Mass Vehicle Ledger"
      },
      "icon" => "generic",
      "rank" => 458,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "JASMY" => {
      "name" => {
        "en" => "JasmyCoin"
      },
      "icon" => "generic",
      "rank" => 459,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FSN" => {
      "name" => {
        "en" => "Fusion"
      },
      "icon" => "fsn",
      "rank" => 460,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "RMRK" => {
      "name" => {
        "en" => "RMRK"
      },
      "icon" => "generic",
      "rank" => 461,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "XDATA" => {
      "name" => {
        "en" => "Streamr XDATA"
      },
      "icon" => "generic",
      "rank" => 462,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FIS" => {
      "name" => {
        "en" => "Stafi"
      },
      "icon" => "generic",
      "rank" => 463,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DATA" => {
      "name" => {
        "en" => "Streamr DATAcoin"
      },
      "icon" => "data",
      "rank" => 464,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "GTO" => {
      "name" => {
        "en" => "Gifto"
      },
      "icon" => "gto",
      "rank" => 465,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "KIN" => {
      "name" => {
        "en" => "Kin"
      },
      "icon" => "kin",
      "rank" => 466,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ROUTE" => {
      "name" => {
        "en" => "Router Protocol"
      },
      "icon" => "generic",
      "rank" => 467,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LA" => {
      "name" => {
        "en" => "LAToken"
      },
      "icon" => "generic",
      "rank" => 468,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MCB" => {
      "name" => {
        "en" => "MCDex"
      },
      "icon" => "generic",
      "rank" => 469,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PINKSALE" => {
      "name" => {
        "en" => "PinkSale"
      },
      "icon" => "generic",
      "rank" => 470,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BNANA" => {
      "name" => {
        "en" => "Chimpion"
      },
      "icon" => "generic",
      "rank" => 471,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AION" => {
      "name" => {
        "en" => "Aion"
      },
      "icon" => "aion",
      "rank" => 472,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PIT" => {
      "name" => {
        "en" => "Pitbull"
      },
      "icon" => "generic",
      "rank" => 473,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "WTC" => {
      "name" => {
        "en" => "Walton"
      },
      "icon" => "wtc",
      "rank" => 474,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SOUL" => {
      "name" => {
        "en" => "Phantasma"
      },
      "icon" => "generic",
      "rank" => 475,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DEXT" => {
      "name" => {
        "en" => "DexTools"
      },
      "icon" => "generic",
      "rank" => 476,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "OM" => {
      "name" => {
        "en" => "MANTRA DAO"
      },
      "icon" => "generic",
      "rank" => 477,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BMX" => {
      "name" => {
        "en" => "BitMart Token"
      },
      "icon" => "generic",
      "rank" => 478,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "ADCO" => {
      "name" => {
        "en" => "Advertise Coin"
      },
      "icon" => "generic",
      "rank" => 479,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PIVX" => {
      "name" => {
        "en" => "Pivx"
      },
      "icon" => "pivx",
      "rank" => 480,
      "carbon" => "",
      "stable" => false,
      "private" => true
    },
    "TOKE" => {
      "name" => {
        "en" => "Tokemak"
      },
      "icon" => "generic",
      "rank" => 481,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "VIB" => {
      "name" => {
        "en" => "Viberate"
      },
      "icon" => "vib",
      "rank" => 482,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PLU" => {
      "name" => {
        "en" => "Pluton"
      },
      "icon" => "generic",
      "rank" => 483,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "AMO" => {
      "name" => {
        "en" => "AMO Coin"
      },
      "icon" => "generic",
      "rank" => 484,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "STOS" => {
      "name" => {
        "en" => "Stratos"
      },
      "icon" => "generic",
      "rank" => 485,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "DEP" => {
      "name" => {
        "en" => "DEAPCOIN"
      },
      "icon" => "generic",
      "rank" => 486,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "MDT" => {
      "name" => {
        "en" => "Measurable Data Token"
      },
      "icon" => "generic",
      "rank" => 487,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "FITFI" => {
      "name" => {
        "en" => "Step App"
      },
      "icon" => "generic",
      "rank" => 488,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "LON" => {
      "name" => {
        "en" => "Tokenlon"
      },
      "icon" => "generic",
      "rank" => 489,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "HDAO" => {
      "name" => {
        "en" => "HyperDAO"
      },
      "icon" => "generic",
      "rank" => 490,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "BEAM" => {
      "name" => {
        "en" => "BEAM"
      },
      "icon" => "beam",
      "rank" => 491,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "CATE" => {
      "name" => {
        "en" => "CateCoin"
      },
      "icon" => "generic",
      "rank" => 492,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "SWAP" => {
      "name" => {
        "en" => "Trustswap"
      },
      "icon" => "generic",
      "rank" => 493,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "PRE" => {
      "name" => {
        "en" => "Presearch"
      },
      "icon" => "pre",
      "rank" => 494,
      "carbon" => "",
      "stable" => false,
      "private" => false
    },
    "UNKNOWN" => {
      "name" => {
        "en" => "Unknown"
      },
      "icon" => "generic",
      "rank" => 10000000
    }
  }
end
